# Blue Rose

## Blue Rose is a "bin2c" application look alike with more options to convert your data into multiple formats (e.g. C++, checksum)

### How to
- Open a Command Prompt console
- Go to the folder where you extracted Blue Rose zip file
- type "bluerose" and enter to see the instructions

### Examples
- BlueRose -i yourData.bin  : convert yourData.bin and output at the same folder of yourData.bin
- BlueRose -o C:\Data -i yourData.bin  : convert yourData.bin and output inside C:\Data folder
- BlueRose -o C:\Data -i yourData.bin -1024 -i yourData2.bin  : convert yourData.bin and yourData2.bin. 1024 bytes by row for yourData2.bin. Output both inside C:\Data folder
- BlueRose -i yourData.bin -sha1 -i yourData.bin  : convert yourData.bin twice. One in C++ and one in sha1
- BlueRose -i yourData.bin -md5 -last  : convert yourData.bin twice. One in C++ and one in md5
- BlueRose -p C:\Data .bin  : parse \"Data\" folder and convert all files that match with the tag \".bin\"
- BlueRose -sha512 -p C:\Textures .png  : parse \"Textures\" folder and generate md5 files that match with the tag \".png\"
- BlueRose -cpp_sha256 -i sky.png  : generate sha256 of sky.png and convert the result in C++

### Website
- https://www.jsr-productions.com/bluerose.html
